[arvados] updated: 2.1.0-2621-g7a7bcbb28
git repository hosting
git at public.arvados.org
Sun Jun 26 23:29:57 UTC 2022
Summary of changes:
tools/salt-install/installer.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
via 7a7bcbb281182e3046455723ab88e38a399b54aa (commit)
from 7c556448f24afeed5c78a0ba94a857a22bce19b4 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 7a7bcbb281182e3046455723ab88e38a399b54aa
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Sun Jun 26 19:29:43 2022 -0400
18870: tweaking git stuff
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/tools/salt-install/installer.sh b/tools/salt-install/installer.sh
index a943fff6a..604bd7e32 100755
--- a/tools/salt-install/installer.sh
+++ b/tools/salt-install/installer.sh
@@ -67,7 +67,7 @@ case "$subcmd" in
set -x
git add -A
- if ! git diff --exit-code ; then
+ if ! git diff --cached --exit-code ; then
git commit -m"prepare for deploy"
fi
for NODE in "${!NODES[@]}"
@@ -75,7 +75,7 @@ case "$subcmd" in
if test $NODE = localhost ; then
sudo ./provision.sh --config local.params --roles ${NODES[$NODE]}
else
- if ! ssh $NODE test -d arvados-setup.git ; then
+ if ! ssh $NODE test -d arvados-setup ; then
ssh $NODE git init --bare arvados-setup.git
git remote add $NODE $DEPLOY_USER@$NODE:arvados-setup.git
git push $NODE
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list